/*new cookie 14-7-2026*/
.cookie-banner {
	position: fixed;
	bottom: 0;
	left: 0;
	width: 100%;
	background: #fff;
	border-top: 3px solid #110a87;
	padding: 30px 0;
	z-index: 9999;
	box-shadow: 0 -4px 20px rgba(0, 0, 0, .1);
}

.cookie-link {
	color: #0069b4;
	text-decoration: none;
	font-weight: 500;
}

.cookie-btns {
	display: flex;
	flex-direction: column;
	gap: 15px;
}

.cookie-btn {
	width: 85%;
	padding: 12px;
	font-size: 14px;
	/* font-weight: 600; */
	border-radius: 2px;
	cursor: pointer;
	transition: .3s;
}

.primary {
	background: #110a87;
	color: #fff;
	border: 2px solid #110a87;
}

.primary:hover {
	background: #110a87;
	border-color: #110a87;
}

.primary-outline {
	background: #110a87;
	color: #fff;
	border: 2px solid #110a87;
}

.primary-outline:hover {
	background: #110a87;
}

.white {
	background: #fff;
	color: #333;
	border: 2px solid #110a87;
}

.white:hover {
	background: #f5f5f5;
}

@media(max-width:768px) {

	.cookie-banner {
		padding: 25px 15px;
	}

	.cookie-btn {
		font-size: 16px;
		padding: 14px;
	}
}

/* ===============================
   COOKIE POPUP OVERLAY
================================== */

.cookie-popup-overlay {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, .55);
	display: none;
	justify-content: center;
	align-items: center;
	z-index: 999999;
	padding: 20px;
}

/* Show Popup */

.cookie-popup-overlay.active {
	display: flex;
}

/* ===============================
   POPUP BOX
================================== */

.cookie-popup-box {
	width: 660px;
	max-width: 100%;
	max-height: 90vh;
	background: #fff;
	border-radius: 12px;
	overflow: hidden;
	display: flex;
	flex-direction: column;
	animation: popupZoom .25s ease;
	box-shadow: 0 10px 35px rgba(0, 0, 0, .25);
}

/* ===============================
   HEADER
================================== */

.cookie-popup-header {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 10px 25px;
	border-bottom: 1px solid #ececec;
}

.cookie-title {
	margin: 0;
	font-size: 22px;

	color: #1f1f1f;
}

.cookie-close {
	border: none;
	background: none;
	font-size: 34px;
	color: #888;
	cursor: pointer;
	line-height: 1;
	transition: .3s;
}

.cookie-close:hover {
	color: #000;
}

/* ===============================
   BODY
================================== */

.cookie-popup-body {
	padding: 0px 25px;
	overflow-y: auto;
}

.cookie-popup-body p {
	font-size: 16px;
	line-height: 1.6;
}

.cookie-popup-body a {
	color: #110a87;
	text-decoration: none;
	/*font-weight:600;*/
}

.manage-title {
	margin: 15px 0 15px;
	font-size: 20px;
	/* font-weight: 700; */
}

/* ===============================
   COOKIE BOX
================================== */

.cookie-box {
	border-bottom: 1px solid #ececec;
	/* border-radius: 8px; */
	padding: 8px 15px;
}

.cookie-head {
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.cookie-left h5 {
	margin: 0;
	font-size: 16px;
	/* font-weight: 600; */
	color: #222;
}

.cookie-right {
	display: flex;
	align-items: center;
	gap: 15px;
}

.always-active {

	font-size: 14px;
}

/* ===============================
   TOGGLE SWITCH
================================== */

.switch {
	position: relative;
	display: inline-block;
	width: 52px;
	height: 28px;
}

.switch input {
	display: none;
}

.slider {
	position: absolute;
	inset: 0;
	background: #d7d7d7;
	border-radius: 50px;
	cursor: pointer;
	transition: .3s;
}

.slider:before {
	content: "";
	position: absolute;
	width: 20px;
	height: 20px;
	left: 4px;
	top: 4px;
	background: #666;
	border-radius: 50%;
	transition: .3s;
}

/* ACTIVE */

.switch input:checked+.slider {
	background: #f58220;
}

.switch input:checked+.slider:before {
	transform: translateX(24px);
	background: #fff;
}

/* DISABLED */

.switch input:disabled+.slider {
	background: #f58220;
	opacity: 1;
}

.switch input:disabled+.slider:before {
	background: #fff;
}

/* ===============================
   FOOTER
================================== */

.cookie-popup-footer {
	/*border-top:1px solid #ececec;*/
	padding: 22px;
	text-align: center;
}

.confirm-btn {
	min-width: 210px;
	height: 45px;
	border: none;
	border-radius: 6px;
	background: #110a87;
	color: #fff;
	font-size: 16px;
	/* font-weight: 600; */
	transition: .3s;
}

.confirm-btn:hover {
	background: #110a87;
	color: #fff;
}

/* ===============================
   SCROLLBAR
================================== */

.cookie-popup-body::-webkit-scrollbar {
	width: 8px;
}

.cookie-popup-body::-webkit-scrollbar-thumb {
	background: #cfcfcf;
	border-radius: 10px;
}

.cookie-popup-body::-webkit-scrollbar-track {
	background: #f5f5f5;
}

/* ===============================
   ANIMATION
================================== */

@keyframes popupZoom {

	from {
		transform: scale(.92);
		opacity: 0;
	}

	to {
		transform: scale(1);
		opacity: 1;
	}

}

/* ===============================
   MOBILE
================================== */

@media(max-width:991px) {

	.cookie-popup-box {

		width: 95%;
		max-height: 95vh;

	}

	.cookie-popup-header {

		padding: 18px;

	}

	.cookie-popup-body {

		padding: 20px;

	}

	.cookie-popup-footer {

		padding: 18px;

	}

	.cookie-head {

		flex-direction: column;
		align-items: flex-start;
		gap: 15px;

	}

	.cookie-right {

		width: 100%;
		justify-content: space-between;

	}

	.cookie-title {

		font-size: 22px;

	}

	.manage-title {

		font-size: 20px;

	}

	.confirm-btn {

		width: 100%;

	}

}
